(kooplearn_data_paradigm)=
# Kooplearn's data paradigm
In this guide we give a short account of kooplearn's data paradigm, which is based on context windows. 

<p align = "center">
  <img src="../_images/context_window_scheme.svg" alt="context-window-scheme" style="width:50%;"/>
</p>
<p align = "center"><em>A context window: the fundamental unit of data in kooplearn.  </em></p>

Kooplearn models expect context windows as single "data points". A context window is a _fixed length_ sequence of observations of the system. 

A context window may be further divided into two splits: the _lookback_ and _lookforward_ windows. The partitioning between lookback and lookforward is particularly handy for fitting models --- such as consistent Koopman auto-encoders{footcite:p}`Azencot2020CAE` --- which use multiple steps ahead predictions at train time.

Data pipelines in kooplearn are organized so that the look*back* slice of context windows can be accessed both at training and inference time. The look*forward* slice, on the other hand, can be accessed only at training time. In practice, this behaviour is attained by passing a `lookback_len` argument at fitting time, that is by calling the fitting function of a model as `model.fit(train_data, lookback_len)`. Internally, the `lookback_len` is saved as a private attribute of the fitted model, and is used to check data shape consistency for any ensuing inference task. Additional informations can be found on the documentation of {class}`kooplearn.abc.BaseModel`.

In kooplearn we expose several utility function to manipulate data and generate context-windows-based datasets. In this respect, see {guilabel}`TODO - Add link to API reference when ready`.

```{footbibliography}
```